@import '../../styles/variables.scss';

.banner {
  position: relative;

  padding: 72px 20px;
  box-sizing: border-box;

  overflow: hidden;

  border-radius: 24px;
  border: 1px solid $gray-3;

  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;

  &:before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;

    width: 100%;
    height: 100%;

    background: rgba(255, 255, 255, 0.85);
  }

  &_content {
    position: relative;
    z-index: 1;
  }

  &_text {
    margin-top: 4px;
  }

  &_buttons {
    @include reset-list;

    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;

    & li {
      margin-bottom: 12px;

      &:last-child {
        margin-bottom: 0;
      }
    }
  }

  &_list {
    padding: 0 0 0 20px;
    margin: 36px 0;

    list-style-type: disc;

    & > li {
      margin-bottom: 8px;
    }
  }
}

@media(min-width: $breakpoint-2) {
  .banner {
    padding: 62px;

    background-position: right;
    background-size: 100%;

    &_buttons {
      flex-direction: row;
      justify-content: flex-start;

      & li {
        margin: 0 6px;
      }
    }

    &:before {
      background: linear-gradient(90deg,
              #fff 50%,
              rgba(255, 255, 255, .4) 85%,
              rgba(255, 255, 255, .1) 95%);
    }
  }
}
